#
# spec file for package tree-sitter-qmldir
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name qmldir
Name:           tree-sitter-qmldir
Version:        0.2.2.12.6b2b5e4
Release:        2.1
Summary:        Qmldir grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter-grammars/tree-sitter-qmldir
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- format spec file to other grammars
- add neovim links
- enable devel package
* Tue Feb 27 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.2.2.12.6b2b5e4:
  * feat: add `@preproc` to the first non-identifier of a command
  * feat: v0.0.1
  * ci: refactor into testing, linting, and publishing cis
  * feat: add Swift bindings
  * feat: improve bindings
  * chore: generate
  * feat: improve queries
  * chore: update tests accordingly
  * docs: update LICENSE and README
  * feat: tidy up the grammar, add file doc and eslint linting
  * chore: add show image
